# ApplicationFramework
TKCDF
LDOM

# LDOM_Document Class Reference

`#include <LDOM_Document.hxx>`

## Public Member Functions

Standard_EXPORT | LDOM_Document ()
Standard_EXPORT | LDOM_Document (const LDOM_MemManager &aMemManager)
Standard_EXPORT | ~LDOM_Document ()
Standard_EXPORT LDOM_Element | createElement (const LDOMString &theTagName)
Standard_EXPORT LDOM_CDATASection | createCDATASection (const LDOMString &theData)
Standard_EXPORT LDOM_Comment | createComment (const LDOMString &theData)
Standard_EXPORT LDOM_Text | createTextNode (const LDOMString &theData)
Standard_EXPORT LDOM_Element | getDocumentElement () const
Standard_EXPORT LDOM_NodeList | getElementsByTagName (const LDOMString &theTagName) const
Standard_Boolean | operator== (const LDOM_Document &anOther) const
Standard_Boolean | operator!= (const LDOM_Document &anOther) const
Standard_Boolean | operator== (const LDOM_NullPtr *) const
Standard_Boolean | operator!= (const LDOM_NullPtr *) const
Standard_EXPORT Standard_Boolean | isNull () const
Standard_EXPORT LDOM_Document & | operator= (const LDOM_NullPtr *)

## Static Public Member Functions

static Standard_EXPORT LDOM_Document | createDocument (const LDOMString &theQualifiedName)

## Private Member Functions

| Handle (LDOM_MemManager) myMemManager

## Constructor & Destructor Documentation

Standard_EXPORT LDOM_Document::LDOM_Document | ( |  | ) |

Standard_EXPORT LDOM_Document::LDOM_Document | ( | const LDOM_MemManager & | aMemManager | ) |

Standard_EXPORT LDOM_Document::~LDOM_Document | ( |  | ) |

## Member Function Documentation

Standard_EXPORT LDOM_CDATASection LDOM_Document::createCDATASection | ( | const LDOMString & | theData | ) |

Standard_EXPORT LDOM_Comment LDOM_Document::createComment | ( | const LDOMString & | theData | ) |

static Standard_EXPORT LDOM_Document LDOM_Document::createDocument | ( | const LDOMString & | theQualifiedName | ) | `[static]`

Standard_EXPORT LDOM_Element LDOM_Document::createElement | ( | const LDOMString & | theTagName | ) |

Standard_EXPORT LDOM_Text LDOM_Document::createTextNode | ( | const LDOMString & | theData | ) |

Standard_EXPORT LDOM_Element LDOM_Document::getDocumentElement | ( |  | ) | const

Standard_EXPORT LDOM_NodeList LDOM_Document::getElementsByTagName | ( | const LDOMString & | theTagName | ) | const

LDOM_Document::Handle | ( | LDOM_MemManager |  | ) | `[private]`

Standard_EXPORT Standard_Boolean LDOM_Document::isNull | ( |  | ) | const

Standard_Boolean LDOM_Document::operator!= | ( | const LDOM_NullPtr * |  | ) | const

Standard_Boolean LDOM_Document::operator!= | ( | const LDOM_Document & | anOther | ) | const`[inline]`

Standard_EXPORT LDOM_Document& LDOM_Document::operator= | ( | const LDOM_NullPtr * |  | ) |

Standard_Boolean LDOM_Document::operator== | ( | const LDOM_NullPtr * |  | ) | const

Standard_Boolean LDOM_Document::operator== | ( | const LDOM_Document & | anOther | ) | const`[inline]`

The documentation for this class was generated from the following file:

- LDOM_Document.hxx